<?php

namespace App\Modules\HtlCamp\Domain;

class HtlCampStatus {

    public const DELETED = 0;
    public const NONPUBLIC = 1;
    public const STPUBLIC = 2;

    private int $value;

    public function __construct(int $value) {
        $values = [self::DELETED, self::NONPUBLIC, self::STPUBLIC];
        $this->value = in_array($value, $values) ? $value : $values[0];
    }

    public function getValue() { return $this->value; }
}